## Bsoft program

# jsubtomo

### Usage: jsubtomo [options] input.star/input.img [input.star/input.img]

Finds particles (subtomograms) in a tomographic reconstruction and refines their orientations and origins.
Extracts particles from the tomograms and transforms them for averaging, or applies the inverse transformations on the template to position it in the original tomogram.

### Actions mode:

-mode | refine Search, Refine or Extract.
| Search: Searches the particles in the input.image.
| Refine: Refines the orientations of the particles in the input.star.
| Extract: Writes selected particles to image files.

### Actions:

-transform | Transform the particle before extraction (use only in Extract mode).
-inverse | Transform the template instead of the particle (use only in Extract mode).
-star | Output a star file for each extracted particle (use only in Extract mode).
-wedges | Output rotated missing wedge masks for each particle (use only in Extract mode).
-iterate | 2 Iterate angular refinement (default 1 iteration).
| The original step sizes and limits are halved after every iteration (use only in Refine mode with angle limits).

### Parameters:

-verbose | 7 Verbosity of output.
-datatype | u Force writing of a new data type (default is float).
-sampling | 1.5,1.5,1.5 Sampling (A/pixel; default from input file; a single value can be given).
-origin | 110,50,44 Origin for rotations of the template (default taken from template image).
-convert | Convert the first particle in the star-file into a reconstruction.

### Parameters for search and refinement:

-angles | 8.8,2.5,5.2 Step size for alpha, theta and phi, one value sets all (default 45 degrees).
-alphalimit | 30 Angular limit for alpha (default: 180 degrees).
-thetaphilimit | 5 Angular limit for theta & phi (default: 180 degrees, cannot be used with option symmetry).
-shiftlimit | 5 Radial limit to search for shift in cross-correlation map, around the location given in input.star.
| (pixels; default: whole map in Search mode, 1/2 template in Refine mode).
-resolution | 15.6,200 Resolution limits for cross-correlation (default 0).
-symmetry | I Symmetry of the template (default: no symmetry, thetaphilimit used instead).
-bin | 3 Binning of input, template and mask by given kernel size,
| output image remains same size as input.
-refinepeaks | Refine peaks from cc search to subpixel accuracy.

### Parameters for search:

-threshold | 0.5 Report only particles above the ccc threshold.
-maxhits | 10 Maximum number of particles to report for each orientation (default: all).

### Parameters for refinement:

-zshiftlimit | 10 Shift allowed in addition to 'shiftlimit' in the direction of the view vector (Use only in Refine mode, no xyshiftlimit).
-xyshiftlimit | 10 Shift allowed in addition to 'shiftlimit' in the orthogonal to the view vector (Use only in Refine mode, no zshiftlimit).

### Parameters for particle selection:

-all | Reset selection to all particles before other selections.
-mindist | 64 Discard overlapping particles (default: size of the template in Search, selection number set to zero).
-minangledif | 50 Discard particles with too similar orientations (selection number set to zero).
-fom | 0.3 Discard particles below the threshold (selection number set to zero).
-spheremindist | 5 Discard particles too far from a sphere that best fits all the particles (selection number set to zero).
-topp | 75.0 Select only the best percentage of particles (default 100%).
-topn | 100 Select only a number of best particles from each reconstruction (default all).
-withindist | 100,100,100,45 Select only particles within a set distance from a point.
-remove | Remove all particles with selection number 0 after other selections.
-renumber | Renumber particles.

### Parameters for particle extraction:

-select | 1 Extract particles with this selection number (default: all > 0).
-size | 50,50,50 New size for transformed particles (use only in Extract mode. one value sets all).
-partpath | dir/subdir Set the particle file paths (use only in Extract mode).
-partextension | pif Set the particle image file format (dafault: map. use only in Extract mode).

### Input:

-Template | image.map Template to search for or to refine.
-mask | mask_1.map Mask in real space to apply on template. Use a soft edged mask.
-Mask | mask_2.map Mask in reciprocal space to apply during cross-correlation and for CCC normalization.

### Output:

-output | file.star Output parameter file with orientations.
-ccmax | ccmax.img Output image with maximum cross-correlation coefficient value for each position (use only in Search mode).

Bsoft version 2.0.3-20180917 (64 bit)